TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RestrictField ( mdl M, fld^fin S ) -> mdl, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Given an RModule M with base ring K, a finite field, and S a subfield of K, construct the RModule N with base ring S obtained by restricting the scalars of the components of elements of M into S, together with the restriction map from M onto N. </shortdoc>

### Examples

x_G := FiniteField(49); x_F := FiniteField(7); x_V := VectorSpace(x_G, 3); RestrictField(x_V, x_F);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack